export class ApiKeyAuthAuthentication {
    accessToken;
    constructor(accessToken) {
        this.accessToken = accessToken;
    }
    getName() {
        return "apiKeyAuth";
    }
    applySecurityAuthentication(context) {
        context.setHeaderParam("Authorization", "Bearer " + this.accessToken);
    }
}
export function configureAuthMethods(config) {
    let authMethods = {};
    if (!config) {
        return authMethods;
    }
    authMethods["default"] = config["default"];
    if (config["apiKeyAuth"]) {
        authMethods["apiKeyAuth"] = new ApiKeyAuthAuthentication(config["apiKeyAuth"]["accessToken"]);
    }
    return authMethods;
}
//# sourceMappingURL=auth.js.map