import { HttpLibrary } from "./http/http.js";
import { Middleware, PromiseMiddleware } from "./middleware.js";
import { BaseServerConfiguration } from "./servers.js";
import { AuthMethods, AuthMethodsConfiguration } from "./auth/auth.js";
export interface Configuration {
    readonly baseServer: BaseServerConfiguration;
    readonly httpApi: HttpLibrary;
    readonly middleware: Middleware[];
    readonly authMethods: AuthMethods;
    readonly organization?: string;
}
export interface ConfigurationParameters {
    baseServer?: BaseServerConfiguration;
    httpApi?: HttpLibrary;
    middleware?: Middleware[];
    promiseMiddleware?: PromiseMiddleware[];
    authMethods?: AuthMethodsConfiguration;
    organization?: string;
}
export declare function createConfiguration(conf?: ConfigurationParameters): Configuration;
