import { RequestContext, HttpMethod } from "./http/http.js";
import { Configuration } from "./configuration.js";
export interface BaseServerConfiguration {
    makeRequestContext(endpoint: string, httpMethod: HttpMethod, configuration: Configuration): RequestContext;
}
export declare class ServerConfiguration<T extends {
    [key: string]: string;
}> implements BaseServerConfiguration {
    private url;
    private variableConfiguration;
    constructor(url: string, variableConfiguration: T);
    setVariables(variableConfiguration: Partial<T>): void;
    getConfiguration(): T;
    private getUrl;
    makeRequestContext(endpoint: string, httpMethod: HttpMethod, configuration: Configuration): RequestContext;
}
export declare const server1: ServerConfiguration<{}>;
export declare const servers: ServerConfiguration<{}>[];
