import { HttpFile } from '../http/http.js';
import { Configuration } from '../configuration.js';
import { CreateAnswerRequest } from '../models/CreateAnswerRequest.js';
import { CreateAnswerResponse } from '../models/CreateAnswerResponse.js';
import { CreateClassificationRequest } from '../models/CreateClassificationRequest.js';
import { CreateClassificationResponse } from '../models/CreateClassificationResponse.js';
import { CreateCompletionRequest } from '../models/CreateCompletionRequest.js';
import { CreateCompletionResponse } from '../models/CreateCompletionResponse.js';
import { CreateEditRequest } from '../models/CreateEditRequest.js';
import { CreateEditResponse } from '../models/CreateEditResponse.js';
import { CreateEmbeddingRequest } from '../models/CreateEmbeddingRequest.js';
import { CreateEmbeddingResponse } from '../models/CreateEmbeddingResponse.js';
import { CreateFineTuneRequest } from '../models/CreateFineTuneRequest.js';
import { CreateImageRequest } from '../models/CreateImageRequest.js';
import { CreateModerationRequest } from '../models/CreateModerationRequest.js';
import { CreateModerationResponse } from '../models/CreateModerationResponse.js';
import { CreateSearchRequest } from '../models/CreateSearchRequest.js';
import { CreateSearchResponse } from '../models/CreateSearchResponse.js';
import { DeleteFileResponse } from '../models/DeleteFileResponse.js';
import { DeleteModelResponse } from '../models/DeleteModelResponse.js';
import { Engine } from '../models/Engine.js';
import { FineTune } from '../models/FineTune.js';
import { ImagesResponse } from '../models/ImagesResponse.js';
import { ListEnginesResponse } from '../models/ListEnginesResponse.js';
import { ListFilesResponse } from '../models/ListFilesResponse.js';
import { ListFineTuneEventsResponse } from '../models/ListFineTuneEventsResponse.js';
import { ListFineTunesResponse } from '../models/ListFineTunesResponse.js';
import { ListModelsResponse } from '../models/ListModelsResponse.js';
import { Model } from '../models/Model.js';
import { OpenAIFile } from '../models/OpenAIFile.js';
import { OpenAIApiRequestFactory, OpenAIApiResponseProcessor } from "../apis/OpenAIApi.js";
export declare class PromiseOpenAIApi {
    private api;
    constructor(configuration: Configuration, requestFactory?: OpenAIApiRequestFactory, responseProcessor?: OpenAIApiResponseProcessor);
    cancelFineTune(fineTuneId: string, _options?: Configuration): Promise<FineTune>;
    createAnswer(createAnswerRequest: CreateAnswerRequest, _options?: Configuration): Promise<CreateAnswerResponse>;
    createClassification(createClassificationRequest: CreateClassificationRequest, _options?: Configuration): Promise<CreateClassificationResponse>;
    createCompletion(createCompletionRequest: CreateCompletionRequest, _options?: Configuration): Promise<CreateCompletionResponse>;
    createEdit(createEditRequest: CreateEditRequest, _options?: Configuration): Promise<CreateEditResponse>;
    createEmbedding(createEmbeddingRequest: CreateEmbeddingRequest, _options?: Configuration): Promise<CreateEmbeddingResponse>;
    createFile(file: HttpFile, purpose: string, _options?: Configuration): Promise<OpenAIFile>;
    createFineTune(createFineTuneRequest: CreateFineTuneRequest, _options?: Configuration): Promise<FineTune>;
    createImage(createImageRequest: CreateImageRequest, _options?: Configuration): Promise<ImagesResponse>;
    createImageEdit(image: HttpFile, prompt: string, mask?: HttpFile, n?: number, size?: string, responseFormat?: string, user?: string, _options?: Configuration): Promise<ImagesResponse>;
    createImageVariation(image: HttpFile, n?: number, size?: string, responseFormat?: string, user?: string, _options?: Configuration): Promise<ImagesResponse>;
    createModeration(createModerationRequest: CreateModerationRequest, _options?: Configuration): Promise<CreateModerationResponse>;
    createSearch(engineId: string, createSearchRequest: CreateSearchRequest, _options?: Configuration): Promise<CreateSearchResponse>;
    deleteFile(fileId: string, _options?: Configuration): Promise<DeleteFileResponse>;
    deleteModel(model: string, _options?: Configuration): Promise<DeleteModelResponse>;
    downloadFile(fileId: string, _options?: Configuration): Promise<string>;
    listEngines(_options?: Configuration): Promise<ListEnginesResponse>;
    listFiles(_options?: Configuration): Promise<ListFilesResponse>;
    listFineTuneEvents(fineTuneId: string, stream?: boolean, _options?: Configuration): Promise<ListFineTuneEventsResponse>;
    listFineTunes(_options?: Configuration): Promise<ListFineTunesResponse>;
    listModels(_options?: Configuration): Promise<ListModelsResponse>;
    retrieveEngine(engineId: string, _options?: Configuration): Promise<Engine>;
    retrieveFile(fileId: string, _options?: Configuration): Promise<OpenAIFile>;
    retrieveFineTune(fineTuneId: string, _options?: Configuration): Promise<FineTune>;
    retrieveModel(model: string, _options?: Configuration): Promise<Model>;
}
